Subject: bug#72150: 'fill-region' works incorrectly

From: Stephen Berman <[email-masked]>
Date: Wed, 17 Jul 2024 10:03:13 +0200

On Wed, 17 Jul 2024 07:13:29 +0000 the_wurfkreuz via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> If i set '(setq-default fill-column 79)' and then try to format the text below
> with the 'fill-region' command:
>
> "If you mount a filesystem over a directory that already contains files, those
> files become hidden and are not counted in the disk usage of the mount
> point. However, the space they occupy is still used on the underlying
> filesystem."
>
> Then instead of getting this formatting:
>
> If you mount a filesystem over a directory that already contains files, those
> files become hidden and are not counted in the disk usage of the mount point.
> However, the space they occupy is still used on the underlying filesystem.
>
> I get this:
>
> If you mount a filesystem over a directory that already contains files, those
> files become hidden and are not counted in the disk usage of the mount
> point. However, the space they occupy is still used on the underlying
> filesystem.

This is because the user option `sentence-end-double-space' has the
default value t.  Change it to nil to make fill-region give the result
you expect.

Steve Berman